---

#! jobs/stress-ng-class-network-rawsock.yaml
suite: stress-ng
testcase: stress-ng
category: benchmark
nr_threads: 100%
testtime: 60s
stress-ng:
  class: network
  test: rawsock
job_origin: stress-ng-class-network-rawsock.yaml

#! queue options
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-icl-2sp8
tbox_group: lkp-icl-2sp8
submit_id: 65a7e1dd5fe8f10bcae1465e
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-network-performance-100%-rawsock-60s-debian-11.1-x86_64-20220510.cgz-728be28fae8c-20240117-3018-abq6wd-0.yaml"
id: 9439df708cfa4d25865467298aa3438796f33672
queuer_version: "/zday/lkp"

#! /db/releases/20240112222728/lkp-src/hosts/lkp-icl-2sp8
model: Ice Lake
nr_node: 2
nr_cpu: 64
memory: 256G
nr_ssd_partitions: 3
nr_hdd_partitions: 6
hdd_partitions: "/dev/disk/by-id/ata-WDC_WD20SPZX-22UA7T0_WD-WX82EA06CSLM-part*"
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402YJ4P0IGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402YJ4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402YJ4P0IGN-part3"
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF741402YJ4P0IGN-part4"
kernel_cmdline_hw: acpi_rsdp=0x69890014
result_service: tmpfs
LKP_SERVER: 10.239.97.5
avoid_nfs: 1
brand: Intel(R) Xeon(R) Gold 6346 CPU @ 3.10GHz

#! /db/releases/20240112222728/lkp-src/include/category/benchmark
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0

#! /db/releases/20240112222728/lkp-src/include/category/ALL
cpufreq_governor: performance
sanity-check:

#! /db/releases/20240112222728/lkp-src/include/stress-ng

#! /db/releases/20240112222728/lkp-src/include/queue/cyclic
commit: 728be28fae8c838d52c91dce4867133798146357

#! /db/releases/20240112222728/lkp-src/include/testbox/lkp-icl-2sp8
ucode: '0xd0003a5'
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-01-17 22:19:09.316186105 +08:00
_id: 65a7e1dd5fe8f10bcae1465e
_rt: "/result/stress-ng/network-performance-100%-rawsock-60s/lkp-icl-2sp8/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/728be28fae8c838d52c91dce4867133798146357"
compiler: gcc-12
head_commit: 4776980f9e9abc46c1d3f27d3b216d4abf7d1197
base_commit: 0dd3ee31125508cd67f7e7172247f05b7fd1753a
branch: internal-devel/devel-hourly-20240115-220444
rootfs: debian-11.1-x86_64-20220510.cgz

#! schedule options
user: lkp
scheduler_version: "/lkp/lkp/.src-20240116-165431"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-11.1-x86_64-20220510.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/stress-ng/network-performance-100%-rawsock-60s/lkp-icl-2sp8/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/728be28fae8c838d52c91dce4867133798146357/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/728be28fae8c838d52c91dce4867133798146357/vmlinuz-6.6.0-rc4-00107-g728be28fae8c
- branch=internal-devel/devel-hourly-20240115-220444
- job=/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-network-performance-100%-rawsock-60s-debian-11.1-x86_64-20220510.cgz-728be28fae8c-20240117-3018-abq6wd-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=728be28fae8c838d52c91dce4867133798146357
- nmi_watchdog=0
- acpi_rsdp=0x69890014
- max_uptime=2100
- LKP_SERVER=10.239.97.5
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/728be28fae8c838d52c91dce4867133798146357/modules.cgz"
bm_initrd: "/osimage/deps/debian-11.1-x86_64-20220510.cgz/run-ipconfig_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/lkp_20220513.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rsync-rootfs_20220515.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/stress-ng_20240112.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/stress-ng-x86_64-1744999cb-1_20240112.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/mpstat_20220516.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/turbostat_20220514.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/turbostat-x86_64-210e04ff7681-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/perf_20230522.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/perf-x86_64-00c7b5f4ddc5-1_20230402.cgz,/osimage/pkg/debian-11.1-x86_64-20220510.cgz/sar-x86_64-c5bb321-1_20220518.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/hw_20220526.cgz,/osimage/deps/debian-11.1-x86_64-20220510.cgz/rootfs_20220515.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn

#! /cephfs/db/releases/20240116103405/lkp-src/include/site/inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp8/stress-ng-network-performance-100%-rawsock-60s-debian-11.1-x86_64-20220510.cgz-728be28fae8c-20240117-3018-abq6wd-0.cgz"
last_kernel: 6.6.0-03575-gf0d25b5d0f8e
acpi_rsdp: '0x69890014'
repeat_to: 3

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/728be28fae8c838d52c91dce4867133798146357/vmlinuz-6.6.0-rc4-00107-g728be28fae8c"
result_root: "/result/stress-ng/network-performance-100%-rawsock-60s/lkp-icl-2sp8/debian-11.1-x86_64-20220510.cgz/x86_64-rhel-8.3/gcc-12/728be28fae8c838d52c91dce4867133798146357/0"

#! /cephfs/db/releases/20240117194906/lkp-src/include/site/inn
dequeue_time: 2024-01-17 23:03:01.470986352 +08:00
job_state: finished
loadavg: 51.80 22.31 8.22 1/747 6288
start_time: '1705503858'
end_time: '1705503922'
version: "/lkp/lkp/.src-20240116-165509:892542e0bf87:dce7f1e2c2c6"
